Package org.apache.catalina.storeconfig

## Class StandardHostSF

- java.lang.Object
- - org.apache.catalina.storeconfig.StoreFactoryBase
  - - org.apache.catalina.storeconfig.StandardHostSF

- All Implemented Interfaces:
    `IStoreFactory`

      public class StandardHostSF
      extends StoreFactoryBase

  Store server.xml Element Host

- - ### Field Summary

    - ### Fields inherited from class org.apache.catalina.storeconfig.StoreFactoryBase

      `sm`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StandardHostSF()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `storeChildren​(java.io.PrintWriter aWriter, int indent, java.lang.Object aHost, StoreDescription parentDesc)` | Store the specified Host properties and children (Listener,Alias,Realm,Valve,Cluster, Context)

    - ### Methods inherited from class org.apache.catalina.storeconfig.StoreFactoryBase

      `getInfo, getRegistry, getStoreAppender, setRegistry, setStoreAppender, store, storeElement, storeElementArray, storeXMLHead`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StandardHostSF

          public StandardHostSF()

  - ### Method Detail

    - #### storeChildren

          public void storeChildren​(java.io.PrintWriter aWriter,
                                    int indent,
                                    java.lang.Object aHost,
                                    StoreDescription parentDesc)
                             throws java.lang.Exception

      Store the specified Host properties and children (Listener,Alias,Realm,Valve,Cluster, Context)
      Overrides:
        `storeChildren` in class `StoreFactoryBase`
      Parameters:
        `aWriter` - PrintWriter to which we are storing
        `indent` - Number of spaces to indent this element
        `aHost` - Host whose properties are being stored
        `parentDesc` - The element description
      Throws:
        `java.lang.Exception` - if an exception occurs while storing